Bug 1574932 - Missing package foreman-telemetry
Summary: Missing package foreman-telemetry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:30 UTC by Lukas Zapletal
Modified: 2019-11-05 23:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:18:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2018-05-04 11:30:13 UTC
It needs to be whitelisted, it's just a subpackage (metapackage).

Thanks!

Comment 2 Lukas Zapletal 2018-05-04 11:33:29 UTC
Oh it actually needs to deps to be pulled from upstream:

--> Processing Dependency: tfm-rubygem(prometheus-client) for package: foreman-telemetry-1.18.0.develop-1.el7sat.noarch
--> Processing Dependency: tfm-rubygem(statsd-instrument) for package: foreman-telemetry-1.18.0.develop-1.el7sat.noarch
--> Finished Dependency Resolution
Error: Package: foreman-telemetry-1.18.0.develop-1.el7sat.noarch (/foreman-telemetry-1.18.0.develop-1.el7sat.noarch)
           Requires: tfm-rubygem(prometheus-client)
Error: Package: foreman-telemetry-1.18.0.develop-1.el7sat.noarch (/foreman-telemetry-1.18.0.develop-1.el7sat.noarch)
           Requires: tfm-rubygem(statsd-instrument)
Error: Package: foreman-telemetry-1.18.0.develop-1.el7sat.noarch (/foreman-telemetry-1.18.0.develop-1.el7sat.noarch)
           Requires: foreman = 1.18.0.develop-1.el7sat
           Installed: foreman-1.18.0.0.1-0.1.el7sat.noarch (@Sat6-CI_Satellite_6_4_Composes_Satellite_6_4_RHEL7)
               foreman = 1.18.0.0.1-0.1.el7sat
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 4 Evgeni Golov 2018-05-14 07:26:10 UTC
that stuff is built now

Comment 5 Sanket Jagtap 2018-05-30 10:03:09 UTC
Build: Satellite 6.4.0 Snap 5 

yum whatprovides foreman-telemetry
foreman-telemetry-1.18.0.0.7-1.el7sat.noarch : Foreman telemetry support
Repo        : Sat6-CI_Satellite_6_4_Composes_Satellite_6_4_RHEL7



foreman-telemetry-1.18.0.0.7-1.el7sat.noarch : Foreman telemetry support
Repo        : @Sat6-CI_Satellite_6_4_Composes_Satellite_6_4_RHEL7



You have new mail in /var/spool/mail/root

Comment 6 Bryan Kearney 2018-10-16 19:18:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.